Bug 867578 - Make APACHE_ACCESS_LOG a config option for last_access.
Make APACHE_ACCESS_LOG a config option for last_access.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Jhon Honce
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 15:14 EDT by Wesley Hearn
Modified: 2015-05-14 19:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:48:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wesley Hearn 2012-10-17 15:14:09 EDT
Description of problem: The last_access script should make APACHE_ACCESS_LOG a config option so that the apache logs can be moved if needed.


Version-Release number of selected component (if applicable):


How reproducible: 


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info: The default option should be /var/log/httpd/openshift/access_log
Comment 1 Rob Millner 2012-10-17 17:08:35 EDT
Passing to Jhon who is already working on the idler code.
Comment 2 Jhon Honce 2012-10-17 17:34:36 EDT
Change will be on master post on-premise merge.

Added APACHE_ACCESS_LOG entry to /etc/openshift/node.conf file, which is read when script is run.  Other globals in script are now read from node.conf as well.

Unset entries are defaulted to old global values.
Comment 3 Thomas Wiest 2012-10-18 14:34:40 EDT
Does comment 2 mean that this fix won't be part of the 2.0.19 release?
Comment 4 Jhon Honce 2012-10-18 16:25:45 EDT
Code change in 2.0.19, release ticket updated
Comment 5 Jianwei Hou 2012-10-18 22:31:16 EDT
Verified on devenv_2348

1. SSH into instance, vi /etc/openshift/node.conf, check if last_access is a configurable option:
LAST_ACCESS_DIR="/var/lib/openshift/.last_access"    #Location to maintain last accessed time for gears
2. run 'oo-last-access' and check logs in /var/lib/openshift/.last_access/$UUID
[root@ip-10-40-158-55 ~]# cat /var/lib/openshift/.last_access/3e58fd841a634dc5b113cefcf8e48582
18/Oct/2012:22:29:04 -0400

last_access dir is consistent with configuration.

Note You need to log in before you can comment on or make changes to this bug.